Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

AutoLISP triangle and arc

1 REPLY 1
Reply
Message 1 of 2
Anonymous
482 Views, 1 Reply

AutoLISP triangle and arc

Hello I have serious problem I need to make this triangle with arc. And I don't know what's wrong (DEFUN C:First() (command "osnap" "off") ;------------------------------------------------------ (setq t1(getpoint "Nurodykite pirma taska")) (setq arc1 (list (+(car t1) 110) (+ 110 ( cadr t1)))) (setq arc2 (list (+ (car arc1)-0.5) (+ 0.5 ( cadr arc1)))) (setq arc3 (list (+ 25 (car arc1)) (+ 25 ( cadr arc1)))) (setq t2 (list (+(car arc1) 25) (+( cadr arc1) 25))) (repeat 6 (setq arc1 (list (+(car arc1) 25) (+ 25 ( cadr arc1)))) (setq arc2 (list (+ (car arc1)-0.5) (+ 0.5 ( cadr arc1)))) (setq arc3 (list (+ 25 (car arc1)) (+ 25 ( cadr arc1)))) (command "ARC" arc1 arc2 arc3 "") ) (setq t3 (list (+(car arc3) 135) (+ 135( cadr arc3)))) (command "LINE" t1 t2 "") (command "LINE" arc3 t3 "") ;------------------------------------------------------ (setq t4 (list (+(car t3) 135) (+ -135 ( cadr t3)))) (command "LINE" t3 t4 "") (setq a1 (list (car t4) ( cadr t4))) (setq a2 (list (+ (car t4) -0.5) (+ 0.5 (cadr t4)))) ;(setq a3 (list (+ 25 (car t4)) (+ 25 (cadr t4)))) (command "ARC" a1 a2 a3 "") )
1 REPLY 1
Message 2 of 2
hmsilva
in reply to: Anonymous

Start by modifying
(command "ARC" arc1 arc2 arc3 "")
to
(command "ARC" arc1 arc2 arc3)

HTH
Henrique

EESignature

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost